#ifndef __ADC_H
#define __ADC_H 

#include "ch32v10x_conf.h"

#define  LENGTH       8


#define MAX_CH0     0x0FEFU
#define MIN_CH0     0x0U
#define MAX_CH1     0xFF3U
#define MIN_CH1     0x0U
#define MAX_CH2     0xFF2U
#define MIN_CH2     0x15U
#define MAX_CH3     0xFF2U
#define MIN_CH3     0xBU
#define MAX_CH4     0xFF4U
#define MIN_CH4     0x0U
#define MAX_CH5     0xFEDU
#define MIN_CH5     0x4U
#define MAX_CH6     0xF84U
#define MIN_CH6     0x30U
#define MAX_CH7     0xFC4U
#define MIN_CH7     0x0U



extern u16 ADC_ConvertedValue[LENGTH];

extern void adc_Init(void);
extern void DMA_Tx_Init(void);
extern void ADC_DMA_CONF(void);
extern void ADC_Handle(void);
extern void Get_AdValue(u8*joy);
 
#endif 
